<?php

namespace App\MessageTemplates;

use App\ValueObjects\EmailAddress;

class activationCodeTemplate extends MessageTemplate {

    public static function createForUser(EmailAddress $emailAddress, string $activationCode) : activationCodeTemplate {
        $template = new activationCodeTemplate();
        $template->composeMessage($emailAddress, $activationCode);
        return $template;
    }

    public function __construct() {
        $this->subject = "Dein Aktivierungscode";
    }

    public function composeMessage(EmailAddress $emailAddress, string $activationCode): void {
        $this->message = "Hallo,<br >dein angefordertet Aktivierungscode lautet: {$activationCode}<br />.
        Gib diesen zusammen mit der Mailadresse {$emailAddress->getValue()} ein.<br /><br />
        Hast du keinen Code angefordert?<br />In diesem Fall kannst du die E-Mail ignorieren.";
    }
}
